Thank you for your feedback



A 959.20 Service System Board Error Appears when Updating DLE RIP Firmware

Document ID:SO7555
 
07/31/14 Properties  

Problem

959.20 error encountered; Problem when upgrading to higher code levels; EC2.0 to EC3.0; invalid engine=959 error msg; DLE card; FMBC; Forms Merge/Bar Code; Forms and Barcode; IPDS; Prescribe; ImageQuick; PrintCryption; Downloadable language emulator; 2012 products;

Solution

What you will see


The printer posts a 959.20 Service System Board error when updating the printer’s Downloadable Language Emulator (DLE) RIP firmware from an EC2.0 (i.e., P231) to an EC3.0 or later code.

 

Affected printers


Identified affected printer models are listed below:

Monochrome
Color
MS51x
MS61x
MS71x
MS81x
MX41x
MX51x
MX61x
MX71x
MX81x

CS410
CS510
CX310
CX410
CX510



 

NOTE: An x denotes any number within a given printer model series.

 

Recommended solution


To avoid this error, update to P231dle DLE RIP firmware BEFORE updating to any EC3.0 or later releases.

However, should you encounter the error because an inadvertent update has been performed, please follow the steps below:

Step Action
1
Power OFF the printer.
 
2
Leave the printer powered off for ten seconds.
 
3
Power ON the printer.
 
4

Verify whether the 959.20 Service System Board error still appears on the control panel.

  • If No and printer is back in Ready state with the DLE card installed, update printer’s DLE RIP firmware to P231dle.
     
  • If Yes, please contact Lexmark Technical Support.

 

Still need help?


If you need additional assistance, please close this window, go to your product's support page and locate  Get In Touch with Lexmark! for contact information. NOTE: When calling for support, you will need your printer model/machine type and serial number (SN).

Please be near the products described in this article to expedite the support process and reduce call-back situations.

 



Link:
Please enter the email address you would like to send a copy of this page to.